Bug 59296 - snmpd initcripts creates useless pidfile
snmpd initcripts creates useless pidfile
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 15:19 EST by rm0
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-25 07:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rm0 2002-02-04 15:19:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
the snmpd Sys V init script shipped in the rpm 
create/deletes a /var/run/snmpd file at start/stop  
time.

The findpid* sh functions in /etc/init.d/functions 
expect pidfiles with filenames ending in .pid


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. # /sbin/service snmpd stop
2. inspect /var/run dir. Several .pid files for the different
   services are present
3. # /sbin/service snmpd start
4. inspect /var/run again.

Actual Results:  A 'snmpd' file now exists


Expected Results:  It should be named snmpd.pid. both for sanity and uniformity

Additional info:

The problem affects packages shipped w/previous releases of the 
OS too, as well as their errata upgrades and the current post-7.2 
Rawhide package.

It would be nice to check all the Sys V initscripts in a full 
RHL 7.2 install (or with a tool that can extract all the 
/etc/.*init.d/ files from a full package repository and grep 
them all for the "/var/run" token) to ensure no similar problems 
exist in other packages.
Comment 1 Phil Knirsch 2002-02-25 07:52:25 EST
Will be changed in next package.

Read ya, Phil
Comment 2 Phil Knirsch 2002-04-09 08:41:36 EDT
Fixed in ucd-snmp-4.2.4.pre3-5 available via rawhide real soon now... :-)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.